public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/eyeD3/
Date: Mon, 28 Dec 2020 20:06:29 +0000 (UTC)	[thread overview]
Message-ID: <1609185674.fbbd148b6cb3ba7cfbf93ea1a5c53a4341f60c9a.mgorny@gentoo> (raw)

commit:     fbbd148b6cb3ba7cfbf93ea1a5c53a4341f60c9a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 28 20:01:14 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 20:01:14 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbbd148b

dev-python/eyeD3: Bump to 0.9.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/eyeD3/Manifest           |  1 +
 dev-python/eyeD3/eyeD3-0.9.6.ebuild | 46 +++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/eyeD3/Manifest b/dev-python/eyeD3/Manifest
index 6118e2465d7..24c1833e624 100644
--- a/dev-python/eyeD3/Manifest
+++ b/dev-python/eyeD3/Manifest
@@ -1,3 +1,4 @@
 DIST eyeD3-0.8.11.tar.gz 215807 BLAKE2B e289a274198a4adceb0ec3b77a5c79f50faaa320edecdf07d1d2af3b5519f0c884c8cef146b124fd172d74626f70af2b689dd536ade1a68ed27fedff840513ee SHA512 ed147fbe6ce88319cdbfc752e1ddbcb141180bdd87854c209c621956bc52395c5ba442d929016419620c0b230f5b8a3e1fa638b73c7cf329405425148f953c9c
 DIST eyeD3-0.9.5.tar.gz 222657 BLAKE2B 3932c1b07e0961773a1cccaebec116c3b51a8c4560850661e8725efb3f4c5716b43ba610e35a2682f94b0e3b72513fbf108ffbc8c436a52977c308ad82e59400 SHA512 be89a2070b8cd5d70b25ff24e508c35e4e0ad20bfbe7bc91e4119614c1359cbc7a4ba812066b608f310abfd027d34b7bfa13f9dae8f3ab54f3ecfc9ce47c07e4
+DIST eyeD3-0.9.6.tar.gz 250445 BLAKE2B 11f8bef4b17af07f08144e922634e4c6e467bd8856da9d445a70006b5bf32d442a52e234845a3f146129403fcc16047cc759102b93c433a0466bf0afd9576230 SHA512 0c993e9bf0a27ca41a8a2964a3347a6b0ffa472f833b3dada39ae09a5a2b40e0afb6bfd8c0ea5ed71d3dc2bf3cd062c1fb5fe79abe6ad867221b779786247173
 DIST eyeD3-test-data.tgz 97281754 BLAKE2B 9b667a5f8be157ace06d773d575c08f4a8e8b7a7b81ba9cb39b1e2c924b2e3f98597607ed3076b13150e02ef7768e89d1ff8a9913021e5f4b9ac6b59344ed397 SHA512 937971dcefc53812c59adb97df27d200e92de04e12391c735ab85cd547e2a168aa1212d88c206ec71ac2fa85a504a9faa91dcc444b45149aca7c8f3a794e9a95

diff --git a/dev-python/eyeD3/eyeD3-0.9.6.ebuild b/dev-python/eyeD3/eyeD3-0.9.6.ebuild
new file mode 100644
index 00000000000..79cdf41bddb
--- /dev/null
+++ b/dev-python/eyeD3/eyeD3-0.9.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for manipulating ID3 (v1 + v2) tags in Python"
+HOMEPAGE="https://eyed3.nicfit.net/"
+SRC_URI="https://github.com/nicfit/eyeD3/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	test? ( https://eyed3.nicfit.net/releases/eyeD3-test-data.tgz )"
+
+LICENSE="GPL-2"
+SLOT="0.7"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/deprecation[${PYTHON_USEDEP}]
+	dev-python/filetype[${PYTHON_USEDEP}]"
+# note: most of the deps are optional runtime deps / plugin deps
+BDEPEND="
+	test? (
+		dev-python/pillow[${PYTHON_USEDEP}]
+		dev-python/pylast[${PYTHON_USEDEP}]
+		dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+		dev-python/six[${PYTHON_USEDEP}]
+	)"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# requires unpackaged factory-boy, doesn't seem to relevant
+	# to anything but eyeD3 usage with factory-boy
+	rm test/test_factory.py || die
+	# requires unpackaged grako
+	rm test/test_display_plugin.py || die
+
+	if use test; then
+		mv "${WORKDIR}"/eyeD3-test-data test/data || die
+	fi
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2020-12-28 20:06 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-28 20:06 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-27 21:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/eyeD3/ Petr Vaněk
2023-11-24 16:43 Arthur Zamarin
2023-09-05  4:58 Michał Górny
2023-09-05  4:58 Michał Górny
2023-06-06 16:12 Michał Górny
2022-11-09  6:12 Michał Górny
2022-11-08 20:30 Arthur Zamarin
2022-10-08  8:01 Michał Górny
2022-07-02 12:20 Arthur Zamarin
2022-07-02 12:19 Arthur Zamarin
2022-05-31 10:20 Sam James
2021-11-04 17:09 Sam James
2021-08-24 14:33 Marek Szuba
2021-08-01 21:33 Michał Górny
2021-02-19  8:50 Michał Górny
2021-02-19  2:54 Sam James
2021-02-19  0:50 Michał Górny
2021-01-12 12:04 Sam James
2021-01-07 12:47 Sam James
2020-12-31  9:04 Sam James
2020-12-28 20:06 Michał Górny
2020-12-10  2:16 Matt Turner
2020-11-24 19:06 Sergei Trofimovich
2020-11-12 15:29 Sam James
2020-11-12 12:28 Sam James
2020-11-04 10:42 Sergei Trofimovich
2020-09-28 17:41 Sergei Trofimovich
2020-09-13  9:19 Sam James
2020-08-31 21:25 Thomas Deutschmann
2020-08-31  4:52 Sam James
2020-08-30  5:32 Sam James
2020-08-14  8:16 Sergei Trofimovich
2020-08-10 19:25 Sergei Trofimovich
2020-08-09 13:10 Michał Górny
2020-08-09 13:10 Michał Górny
2020-08-09 13:10 Michał Górny
2020-06-04  9:06 David Seifert
2020-05-04 10:56 Michał Górny
2020-04-06 20:36 Sergei Trofimovich
2020-04-06  7:34 Agostino Sarubbo
2020-04-04 10:52 Sergei Trofimovich
2020-03-03  7:22 Matt Turner
2020-02-24 10:51 Agostino Sarubbo
2020-02-23  8:54 Sergei Trofimovich
2020-02-11 10:55 Agostino Sarubbo
2020-02-07 13:16 Agostino Sarubbo
2020-02-07 12:12 Agostino Sarubbo
2020-02-06  8:21 Agostino Sarubbo
2020-02-05 13:00 Michał Górny
2019-12-24 14:24 Mikle Kolyada
2019-12-05 21:44 Ben Kohler
2019-12-05 21:07 Ben Kohler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609185674.fbbd148b6cb3ba7cfbf93ea1a5c53a4341f60c9a.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox